Skip to main content
GET
List health plans

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

org_id
string<uuid>
required

The unique identifier for the organisation.

Query Parameters

filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • eq(id,xxx): Filter health plans by ID.
  • eq(subject,xxx): Filter health plans by the person they cap.
  • eq(exposure_type,havs): Filter health plans by exposure type.
  • cap: eq(cap,0), or le and ge on cap, to find plans by their cap.

Use the active_at parameter for the plans in force on a date.

For more information on using named filters, see the docs

active_at
string<date>

Keep only the health plans in force on this Europe/London calendar date.

sort
enum<string>[]

A comma separated list of fields to sort by. Defaults to -starts_at,-created_at.

Available options:
starts_at,
-starts_at,
ends_at,
-ends_at,
cap,
-cap,
created_at,
-created_at
limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
page
object

JSON:API pagination, as page[limit] and page[offset]. The same as the top-level limit and offset parameters; when both forms are sent, page[...] wins.

Response

Get a list of health plans.

JSON API response object

data
A list of health plans · object[]
required
meta
object
required
jsonapi
object
required